🧪 List Places with Stop Counts
Retrieve known places visited by vehicles in your accessible fleets, with the total stop count and distinct vehicle count at each location. Only stops matched to a known place are included. Results are ordered by stop count descending (most-visited first). Optionally filter to specific vehicles, a time window, place category, or stop duration.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
Limit results to specific fleets using Catena’s fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).
Limit results to specific fleets using your organization’s fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).
Limit results to specific vehicles. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?vehicle_ids=id1&vehicle_ids=id2).
Return only records that were still active at or after this date and time. Format: ISO 8601 (UTC) Applies filter: ended_at >= active_from_datetime
Return only records that started before this date and time. Format: ISO 8601 (UTC) Applies filter: started_at < active_to_datetime
Limit results to places with one of the specified categories. To specify multiple values, repeat the parameter (e.g. ?place_categories=FUEL&place_categories=REST).
Only count stops whose duration is at least this many seconds. Long stops (no confirmed end) always pass this filter.
Only count stops whose duration is at most this many seconds. Long stops (no confirmed end) are excluded when this filter is active.